package org.starter.myBatis.mapper;

import org.apache.ibatis.annotations.Param;
import org.starter.myBatis.pojo.User;

import java.util.List;

public interface UserMapper {
    User selectUserById(int id);
    List<User> selectAllUser();
    List<User> selectUserByGender(String gender);
    List<User> selectUserByGenderAndProvince(@Param("gender") String gender, @Param("province") String province);
    List<User> selectUserByConfidence(User user);
    List<User> selectUserByConfidences(User user);
    void addUser(User user);
    int updateUser(User user);
}
